RubyGems Navigation menu

oauth2 1.4.1

A Ruby wrapper for the OAuth 2.0 protocol built with a similar style to the original OAuth spec.

Versions:

  1. 1.4.4 - February 13, 2020 (24.5 KB)
  2. 1.4.3 - January 29, 2020 (24.5 KB)
  3. 1.4.2 - October 01, 2019 (23.5 KB)
  4. 1.4.1 - October 13, 2018 (24.5 KB)
  5. 1.4.0 - June 09, 2017 (15.5 KB)
Show all versions (45 total)

Runtime Dependencies (5):

  • faraday < 0.16.0, >= 0.8
  • jwt < 3.0, >= 1.0
  • multi_json ~> 1.3
  • multi_xml ~> 0.5
  • rack < 3, >= 1.2
  • Development Dependencies (8):

  • addressable ~> 2.3
  • backports ~> 3.11
  • bundler ~> 1.16
  • coveralls ~> 0.8
  • rake ~> 12.3
  • rdoc < 7, >= 5.0
  • rspec ~> 3.0
  • wwtd >= 0
  • Owners:

    Authors:

    • Peter Boling, Michael Bleigh, Erik Michaels-Ober

    SHA 256 checksum:

    1027f49455e3625b8eb71f3bacb04705258533f7c998ee5035550b5f16b5662b

    Total downloads 57,556,329

    For this version 12,004,081

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 1.9.0

    Required Rubygems Version: >= 1.3.5

    Links: